﻿@using EpamMVC.DLL.Entities
@using EpamMVC.WEB.HtmlHelpers
@model EpamMVC.WEB.Models.Manage.AccountDetailsViewModel

<div class="card account_details js_manage_account_details">
    <div class="card-body">

        <div class="sorting_control dropdown">
            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                @Model.CurrentSortingLabel
            </button>
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                @foreach (var item in Model.SorterLinks)
                {
                    <a class="dropdown-item" href="@item.Value">@item.Key</a>
                }
            </div>
        </div>

        <table class="table table-striped table-hover table-bordered">
            <thead>
            <tr>
                <th>
                    Номер
                </th>
                <th>
                    Сумма
                </th>
                <th>
                    Статус
                </th>
                <th>
                    Дата
                </th>
                <th class="text-right">
                    Действия
                </th>
            </tr>
            </thead>
            <tbody>

            @foreach (var payment in Model.AccountPayments)
            {
                <tr>
                    <td>
                        @payment.Id
                    </td>
                    <td>
                        @payment.Amount
                    </td>
                    <td>
                        @if (payment.Status == ClientPayment.Statuses.Prepare)
                        {
                            <span class="badge bg-secondary">Подготовлен</span>
                        }
                        else
                        {
                            <span class="badge bg-success">Отправлен</span>
                        }
                    </td>
                    <td>
                        @(payment.CreatedDateTime?.ToString("yyyy, dd MMMM, HH:mm:ss"))
                    </td>
                    <td class="text-right">

                        @if (
                            payment.Status == ClientPayment.Statuses.Prepare
                            && Model.ClientAccount.Locked == false
                            )
                        {
                            <a class="btn btn-info btn-sm js_send_payment"
                               data-id="@payment.Id"
                               href="@Url.Action("AjaxSendPayment", new {payment.Id})">
                                <i class="fa fa-check"></i>
                                Отправить
                            </a>
                        }

                        <a class="btn btn-info btn-sm"
                           target="_blank"
                           href="@Url.Action("PrintPayment", new {payment.Id})">
                            <i class="fa fa-print" aria-hidden="true"></i>
                            Распечатать
                        </a>
                    </td>
                </tr>
            }
            </tbody>
        </table>
    </div>
</div>
<div class="card-footer">
    @Html.PrintPagination(Model.Pagination)
</div>
